Update person.
PATCH
/customer-api/v1/person/{personUuid}
CURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "PATCH");curl_easy_setopt(hnd, CURLOPT_URL, "https://your-instance.seventhings.com/customer-api/v1/person/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0");
struct curl_slist *headers = NULL;headers = curl_slist_append(headers, "Authorization: Bearer <token>");headers = curl_slist_append(headers, "Content-Type: application/json");curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
curl_easy_setopt(hnd, CURLOPT_POSTFIELDS, "{ \"<field_key_1>\": \"<field_value_1>\", \"<field_key_2>\": \"<field_value_2>\", \"<field_key_3>\": \"<field_value_3>\" }");
CURLcode ret = curl_easy_perform(hnd);using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Patch, RequestUri = new Uri("https://your-instance.seventhings.com/customer-api/v1/person/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"), Headers = { { "Authorization", "Bearer <token>" }, }, Content = new StringContent("{ \"<field_key_1>\": \"<field_value_1>\", \"<field_key_2>\": \"<field_value_2>\", \"<field_key_3>\": \"<field_value_3>\" }") { Headers = { ContentType = new MediaTypeHeaderValue("application/json") } }};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}package main
import ( "fmt" "strings" "net/http" "io")
func main() {
url := "https://your-instance.seventhings.com/customer-api/v1/person/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
payload := strings.NewReader("{ \"<field_key_1>\": \"<field_value_1>\", \"<field_key_2>\": \"<field_value_2>\", \"<field_key_3>\": \"<field_value_3>\" }")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>") req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}HttpRequest request = HttpRequest.newBuilder() .uri(URI.create("https://your-instance.seventhings.com/customer-api/v1/person/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0")) .header("Authorization", "Bearer <token>") .header("Content-Type", "application/json") .method("PATCH", HttpRequest.BodyPublishers.ofString("{ \"<field_key_1>\": \"<field_value_1>\", \"<field_key_2>\": \"<field_value_2>\", \"<field_key_3>\": \"<field_value_3>\" }")) .build();HttpResponse<String> response = HttpClient.newHttpClient().send(request, HttpResponse.BodyHandlers.ofString());System.out.println(response.body());OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");RequestBody body = RequestBody.create(mediaType, "{ \"<field_key_1>\": \"<field_value_1>\", \"<field_key_2>\": \"<field_value_2>\", \"<field_key_3>\": \"<field_value_3>\" }");Request request = new Request.Builder() .url("https://your-instance.seventhings.com/customer-api/v1/person/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0") .patch(body) .addHeader("Authorization", "Bearer <token>") .addHeader("Content-Type", "application/json") .build();
Response response = client.newCall(request).execute();import axios from 'axios';
const options = { method: 'PATCH', url: 'https://your-instance.seventhings.com/customer-api/v1/person/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, data: { '<field_key_1>': '<field_value_1>', '<field_key_2>': '<field_value_2>', '<field_key_3>': '<field_value_3>' }};
try { const { data } = await axios.request(options); console.log(data);} catch (error) { console.error(error);}const url = 'https://your-instance.seventhings.com/customer-api/v1/person/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"<field_key_1>":"<field_value_1>","<field_key_2>":"<field_value_2>","<field_key_3>":"<field_value_3>"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}val client = OkHttpClient()
val mediaType = MediaType.parse("application/json")val body = RequestBody.create(mediaType, "{ \"<field_key_1>\": \"<field_value_1>\", \"<field_key_2>\": \"<field_value_2>\", \"<field_key_3>\": \"<field_value_3>\" }")val request = Request.Builder() .url("https://your-instance.seventhings.com/customer-api/v1/person/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0") .patch(body) .addHeader("Authorization", "Bearer <token>") .addHeader("Content-Type", "application/json") .build()
val response = client.newCall(request).execute()<?php
$curl = curl_init();
curl_setopt_array($curl, [ CURLOPT_URL => "https://your-instance.seventhings.com/customer-api/v1/person/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "PATCH", CURLOPT_POSTFIELDS => json_encode([ '<field_key_1>' => '<field_value_1>', '<field_key_2>' => '<field_value_2>', '<field_key_3>' => '<field_value_3>' ]), CURLOPT_HTTPHEADER => [ "Authorization: Bearer <token>", "Content-Type: application/json" ],]);
$response = curl_exec($curl);$err = curl_error($curl);
curl_close($curl);
if ($err) { echo "cURL Error #:" . $err;} else { echo $response;}<?php
$client = new \GuzzleHttp\Client();
$response = $client->request('PATCH', 'https://your-instance.seventhings.com/customer-api/v1/person/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0', [ 'body' => '{ "<field_key_1>": "<field_value_1>", "<field_key_2>": "<field_value_2>", "<field_key_3>": "<field_value_3>" }', 'headers' => [ 'Authorization' => 'Bearer <token>', 'Content-Type' => 'application/json', ],]);
echo $response->getBody();import http.client
conn = http.client.HTTPSConnection("your-instance.seventhings.com")
payload = "{ \"<field_key_1>\": \"<field_value_1>\", \"<field_key_2>\": \"<field_value_2>\", \"<field_key_3>\": \"<field_value_3>\" }"
headers = { 'Authorization': "Bearer <token>", 'Content-Type': "application/json"}
conn.request("PATCH", "/customer-api/v1/person/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", payload, headers)
res = conn.getresponse()data = res.read()
print(data.decode("utf-8"))import requests
url = "https://your-instance.seventhings.com/customer-api/v1/person/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
payload = { "<field_key_1>": "<field_value_1>", "<field_key_2>": "<field_value_2>", "<field_key_3>": "<field_value_3>"}headers = { "Authorization": "Bearer <token>", "Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.json())use std::str::FromStr;use serde_json::json;use reqwest;
#[tokio::main]pub async fn main() { let url = "https://your-instance.seventhings.com/customer-api/v1/person/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0";
let payload = json!({ "<field_key_1>": "<field_value_1>", "<field_key_2>": "<field_value_2>", "<field_key_3>": "<field_value_3>" });
let mut headers = reqwest::header::HeaderMap::new(); headers.insert("Authorization", "Bearer <token>".parse().unwrap()); headers.insert("Content-Type", "application/json".parse().unwrap());
let client = reqwest::Client::new(); let response = client.request(reqwest::Method::from_str("PATCH").unwrap(), url) .headers(headers) .json(&payload) .send() .await;
let results = response.unwrap() .json::<serde_json::Value>() .await .unwrap();
dbg!(results);}curl --request PATCH \ --url https://your-instance.seventhings.com/customer-api/v1/person/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "<field_key_1>": "<field_value_1>", "<field_key_2>": "<field_value_2>", "<field_key_3>": "<field_value_3>" }'wget --quiet \ --method PATCH \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --body-data '{ "<field_key_1>": "<field_value_1>", "<field_key_2>": "<field_value_2>", "<field_key_3>": "<field_value_3>" }' \ --output-document \ - https://your-instance.seventhings.com/customer-api/v1/person/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0Update person.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”personUuid
required
string format: uuid
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
Fields defined in Template with its values, based on the type of the field. There is a difference with what can be send via POST/PUT/PATCH requests, and what will be returned via GET
This examples shows what data can be expected for ceraint field type:
POST/PUT/PATCH
{
"ATTACHMENT": "array<string (fileUuid)>",
"BARCODE": "string",
"DATE": "string (Y-m-d)",
"DATETIME": "string (Y-m-d\TH:i:sP)",
"DECIMAL": "decimal (1.23)",
"DROPDOWN": "string",
"LINK": "string",
"LINKED_ASSET": "int (asset id) | string (asset uuid)",
"LINKED_LOCATION": "int (location id) | string (location uuid)",
"LINKED_ROOM": "int (room id)| string (room uuid)",
"LINKED_USER": "int (user id)| string (user uuid)",
"LINKED_PERSON": "int (person id)| string (person uuid)",
"LONG_TEXT": "string",
"MONEY": "decimal (1.23)",
"NUMBER": "int (123)",
"REMINDER": "string (Y-m-d)",
"TEXT": "string",
}
GET
{
"ATTACHMENT": [
{
"uuid": "string (uuid)",
"type": "string",
"size": "int",
"data_uri": "string",
"file_uri": "string",
"thumbnail_uri": "string",
}
],
"BARCODE": "string",
"DATE": "string (Y-m-d)",
"DATETIME": "string (Y-m-d\TH:i:sP)",
"DECIMAL": "decimal (1.23)",
"DROPDOWN": "string",
"LINK": "string",
"LINKED_ASSET": {
"id": "int",
"uuid": "string (uuid)",
"display_name": "string"
},
"LINKED_LOCATION": {
"id": "int",
"uuid": "string (uuid)",
"display_name": "string"
},
"LINKED_ROOM": {
"id": "int",
"uuid": "string (uuid)",
"display_name": "string"
},
"LINKED_USER": {
"id": "int",
"uuid": "string (uuid)",
"display_name": "string"
},
"LINKED_PERSON": {
"id": "int",
"uuid": "string (uuid)",
"display_name": "string"
},
"LONG_TEXT": "string",
"MONEY": "decimal (1.23)",
"NUMBER": "int (123)",
"REMINDER": "string (Y-m-d)",
"TEXT": "string",
}
object
key
additional properties
any
Example
{ "<field_key_1>": "<field_value_1>", "<field_key_2>": "<field_value_2>", "<field_key_3>": "<field_value_3>"}Responses
Section titled “Responses”Success
Request body is missing or invalid or request data is invalid.
Access token is missing or invalid.
You are not permitted to perform the requested operation.
The requested resource representation has no acceptable format.
Internal Server Error.

